package cd.casic.ci.common.pipeline.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "分页数据包装模型")
public class Pagination<T> {

    @Schema(title = "是否有下一页", required = true)
    private boolean hasNext;

    @Schema(title = "数据", required = true)
    private List<T> records;

    @Schema(title = "总记录行数", required = false)
    private Long count;
}