package cd.casic.pipeline.environment.pojo;

import cd.casic.pipeline.environment.pojo.enums.EnvType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.Getter;

import java.util.List;

@Getter
@Data
@Schema(title = "环境基本信息")
public class EnvUpdateInfo {
    @Schema(title = "环境名称", required = true)
    private final String name;

    @Schema(title = "环境描述", required = true)
    private final String desc;

    @Schema(title = "环境类型（构建环境{BUILD}|部署-开发/测试环境{DEV}|部署-生产环境{PROD}|）", required = true)
    private final EnvType envType;

    @Schema(title = "环境变量", required = false)
    private final List<EnvVar> envVars;
} 