package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

@Data
@AllArgsConstructor
@Schema(title = "环境信息-Node数量")
public class EnvWithNodeCount {
    @Schema(title = "环境所属项目Id", required = true)
    private final String projectId;

    @Schema(title = "环境 HashId", required = true)
    private final String envHashId;

    @Schema(title = "环境名称", required = true)
    private final String name;

    @Schema(title = "正常节点数量", required = true)
    private final Integer normalNodeCount;

    @Schema(title = "异常节点数量", required = true)
    private final Integer abnormalNodeCount;

    @Schema(title = "源项目", required = false)
    private final String sharedProjectId;

    @Schema(title = "分享人", required = false)
    private final String sharedUserId;

    @Schema(title = "节点hash id", required = false)
    private final List<String> nodeHashIds;
}