package cd.casic.ci.process.api.engine.exception;

import lombok.Getter;

import javax.lang.model.type.ErrorType;

/**
 * @author by mianbin
 * @Classname BuildTaskException
 * @Description TODO
 * @Date 2025/3/31 16:31
 */
@Getter
public class BuildTaskException extends Exception {
    private final ErrorType errorType;
    private final int errorCode;
    private final String pipelineId;
    private final String buildId;
    private final String taskId;

    public BuildTaskException(ErrorType errorType, int errorCode, String errorMsg, String pipelineId, String buildId, String taskId) {
        super(errorMsg);
        this.errorType = errorType;
        this.errorCode = errorCode;
        this.pipelineId = pipelineId;
        this.buildId = buildId;
        this.taskId = taskId;
    }

    public BuildTaskException(ErrorType errorType, int errorCode, String errorMsg) {
        this(errorType, errorCode, errorMsg, null, null, null);
    }
}
