package cd.casic.ci.process.api.engine.pojo;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import cd.casic.ci.common.pipeline.pojo.StagePauseCheck;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author by mianbin
 * @Classname PipelineBuildStage
 * @Description TODO
 * @Date 2025/3/31 16:57
 */
@Data
public class PipelineBuildStage {
    /**
     * 项目 ID
     */
    private String projectId;
    /**
     * 管道 ID
     */
    private String pipelineId;
    /**
     * 构建 ID
     */
    private String buildId;
    /**
     * 阶段 ID
     */
    private String stageId;
    /**
     * 阶段序号
     */
    private int seq;
    /**
     * 阶段状态
     */
    private BuildStatus status;
    /**
     * 开始时间
     */
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;
    /**
     * 耗时
     */
    private int cost = 0;
    /**
     * 执行次数
     */
    private int executeCount = 1;
    /**
     * 控制选项
     */
    private PipelineBuildStageControlOption controlOption;
    /**
     * 进入检查
     */
    private StagePauseCheck checkIn;
    /**
     * 离开检查
     */
    private StagePauseCheck checkOut;
    /**
     * 用户可见的阶段 ID
     */
    private String stageIdForUser;
}
