package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.enums.VersionStatus;
import cd.casic.ci.common.pipeline.pojo.setting.PipelineRunLockType;
import cd.casic.ci.process.api.process.pojo.pipeline.PipelineYamlVo;
import cd.casic.ci.project.dal.pojo.PipelineAsCodeSettings;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineDetail
 * @Date：2025/03/24 16:10
 * @Filename：PipelineDetail
 * @description：Todo
 */
@Data
@Schema(title = "流水线预览页完整信息")
public class PipelineDetail {

    @Schema(title = "流水线Id")
    private String pipelineId;
    @Schema(title = "流水线名称")
    private String pipelineName;
    @Schema(title = "是否收藏")
    private boolean hasCollect;
    @Schema(title = "是否可以手动触发")
    private boolean canManualStartup;
    @Schema(title = "是否可以调试")
    private boolean canDebug;
    @Schema(title = "是否可以发布")
    private boolean canRelease;
    @Schema(title = "是否从模板实例化")
    private boolean instanceFromTemplate;
    @Schema(title = "当前模板的ID", required = false)
    private String templateId;
    @Schema(title = "关联模板版本", required = false)
    private Long templateVersion;
    @Schema(title = "草稿或最新的发布版本")
    private int version;
    @Schema(title = "草稿或最新的发布版本名称")
    private String versionName;
    @Schema(title = "草稿的基准版本（存在草稿才有值）", required = false)
    private Integer baseVersion;
    @Schema(title = "草稿的基准版本的状态（存在草稿才有值）", required = false)
    private VersionStatus baseVersionStatus;
    @Schema(title = "基准版本的版本名称")
    private String baseVersionName;
    @Schema(title = "最新的发布版本，如果为空则说明没有过发布版本")
    private Integer releaseVersion;
    @Schema(title = "最新的发布版本名称，如果为空则说明没有过发布版本")
    private String releaseVersionName;
    @Schema(title = "是否有编辑权限")
    private boolean hasPermission;
    @Schema(title = "流水线描述")
    private String pipelineDesc;
    @Schema(title = "创建者")
    private String creator;
    @Schema(title = "创建时间")
    private long createTime;
    @Schema(title = "更新时间")
    private long updateTime;
    @Schema(title = "流水线组名称列表", required = false)
    private List<String> viewNames;
    @Schema(title = "流水线权限", required = false)
    private PipelinePermissions permissions;
    @Schema(title = "Lock 类型", required = false)
    private PipelineRunLockType runLockType;
    @Schema(title = "最新流水线版本状态（如有任何发布版本则为发布版本）", required = false)
    private VersionStatus latestVersionStatus;
    @Schema(title = "PAC配置", required = false)
    private PipelineAsCodeSettings pipelineAsCodeSettings;
    @Schema(title = "流水线YAML信息", required = false)
    private PipelineYamlVo yamlInfo;
    @Schema(title = "yaml文件在默认分支是否存在", required = false)
    private Boolean yamlExist;
    @Schema(title = "运行锁定", required = false)
    private boolean locked;

}
