package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineStatus
 * @Date：2025/03/24 16:46
 * @Filename：PipelineStatus
 * @description：Todo
 */
@Data
@Schema(title = "流水线模型-列表-状态信息")
public class PipelineStatus {
    @Schema(title = "流水线任务数量", required = true)
    private Integer taskCount;
    @Schema(title = "构建次数", required = true)
    private Long buildCount;
    @Schema(title = "运行锁定", required = false)
    private Boolean lock;
    @Schema(title = "是否可手工启动", required = true)
    private Boolean canManualStartup;
    @Schema(title = "最后构建时间", required = false)
    private Long latestBuildStartTime;
    @Schema(title = "最后构建结束时间", required = false)
    private Long latestBuildEndTime;
    @Schema(title = "最后构建状态", required = false)
    private BuildStatus latestBuildStatus;
    @Schema(title = "最后构建版本号", required = false)
    private Integer latestBuildNum;
    @Schema(title = "最后构建任务名称", required = false)
    @Deprecated()
    //"无用.不再提供任何信息"
    private String latestBuildTaskName;
    @Schema(title = "最后任务预计执行时间（毫秒）", required = false)
    private Long latestBuildEstimatedExecutionSeconds;
    @Schema(title = "最后构建实例ID", required = false)
    private String latestBuildId;
    @Schema(title = "服务器当前时间戳", required = true)
    private Long currentTimestamp;
    @Schema(title = "当前运行的构建的个数", required = true)
    private Integer runningBuildCount;
    @Schema(title = "是否被收藏", required = true)
    private Boolean hasCollect;
    @Schema(title = "最后一次构建所有的任务个数", required = false)
    private Integer lastBuildTotalCount;
    @Schema(title = "最后一次构建已完成的任务个数", required = false)
    private Integer lastBuildFinishCount;
    @Schema(title = "触发方式", required = false)
    private String trigger;
}
