package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.enums.CodeTargetAction;
import cd.casic.ci.process.api.process.pojo.pipeline.PipelineYamlVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineVersionReleaseRequest
 * @Date：2025/03/24 16:52
 * @Filename：PipelineVersionReleaseRequest
 * @description：Todo
 */
@Data
@Schema(title = "流水线-版本发布请求")
public class PipelineVersionReleaseRequest {
    @Schema(title = "是否本次开启PAC", required = true)
    private Boolean enablePac;
    @Schema(title = "版本描述", required = false)
    private String description;
    @Schema(title = "模板版本号（为空时默认最新）", required = false)
    private CodeTargetAction targetAction;
    @Schema(title = "静态流水线组", required = false)
    private List<String> staticViews;
    @Schema(title = "流水线YAML信息", required = false)
    private PipelineYamlVo yamlInfo;
    @Schema(title = "提交到指定的分支", required = false)
    private String targetBranch;
}
