package cd.casic.ci.process.api.process.pojo.trigger;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：PipelineTriggerEvent
 * @Date：2025/03/24 17:24
 * @Filename：PipelineTriggerEvent
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "流水线触发事件")
public class PipelineTriggerEvent {
    @Schema(title = "请求ID")
    private String requestId;
    @Schema(title = "项目ID")
    private String projectId;
    @Schema(title = "事件ID")
    private Long eventId;
    @Schema(title = "触发类型")
    private String triggerType;
    @Schema(title = "事件源")
    private String eventSource;
    @Schema(title = "事件类型")
    private String eventType;
    @Schema(title = "触发人")
    private String triggerUser;
    @Schema(title = "事件描述")
    private String eventDesc;
    @Schema(title = "重放事件ID")
    private String replayRequestId;
    @Schema(title = "事件请求参数, 记录手动/openapi/定时/远程触发启动参数")
    private Map<String, String> requestParams;
    @Schema(title = "触发时间")
    private LocalDateTime createTime;
}
