package cd.casic.pipeline.store.pojo.common;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "组件基本信息")
public class StoreBaseInfo {
    @Schema(title = "组件Id", required = true)
    private String storeId;
    
    @Schema(title = "组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "组件名称", required = true)
    private String storeName;
    
    @Schema(title = "组件类型", required = true)
    private StoreTypeEnum storeType;
    
    @Schema(title = "组件版本号", required = true)
    private String version;
    
    @Schema(title = "是否为公共组件", required = true)
    private Boolean publicFlag;
    
    @Schema(title = "状态", required = true)
    private String status = "";
}