package cd.casic.pipeline.store.pojo.image.enums;

import lombok.Getter;

@Getter
public enum CategoryTypeEnum {
    ATOM(0), // 插件
    TEMPLATE(1), // 模板
    IMAGE(2); // 镜像

    private final int type;

    CategoryTypeEnum(int type) {
        this.type = type;
    }

    public static CategoryTypeEnum getCategoryType(String name) {
        for (CategoryTypeEnum enumObj : values()) {
            if (enumObj.name().equals(name)) {
                return enumObj;
            }
        }
        return null;
    }

    public static String getCategoryType(int type) {
        switch (type) {
            case 0: return ATOM.name();
            case 1: return TEMPLATE.name();
            case 2: return IMAGE.name();
            default: return ATOM.name();
        }
    }
}