package cd.casic.ci.ticket.dal.pojo;

import cd.casic.ci.ticket.dal.enums.CredentialType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.pipeline.dal.pojo
 * @Project：ops-pro
 * @name：CredentialWithPermission
 * @Date：2025/03/22 16:07
 * @Filename：CredentialWithPermission
 * @description：Todo
 */

@Data
@Schema(title = "凭据-凭据内容和权限")
@AllArgsConstructor
@NoArgsConstructor
public class CredentialWithPermission {
    @Schema(title = "凭据ID", required = true)
    private String credentialId;
    @Schema(title = "凭据名称", required = true)
    private String credentialName;
    @Schema(title = "凭据类型", required = true)
    private CredentialType credentialType;
    @Schema(title = "凭据描述", required = false)
    private String credentialRemark;
    @Schema(title = "最后更新时间", required = true)
    private long updatedTime;
    @Schema(title = "凭据内容", required = true)
    private String v1;
    @Schema(title = "凭据内容", required = true)
    private String v2;
    @Schema(title = "凭据内容", required = true)
    private String v3;
    @Schema(title = "凭据内容", required = true)
    private String v4;
    @Schema(title = "权限", required = true)
    private CredentialPermissions permissions;
    @Schema(title = "最后更新者", required = true)
    private String updateUser;
    @Schema(title = "当前凭证是否允许跨项目使用", required = false)
    private boolean allowAcrossProject;
    @Schema(title = "凭证创建者", required = true)
    private String createUser;
    @Schema(title = "凭证创建时间", required = true)
    private long createTime;
}
